package com.qmth.distributed.print.business.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qmth.distributed.print.business.bean.result.ObeCourseOutlineResult;
import com.qmth.distributed.print.business.bean.result.TeachCourseResult;
import com.qmth.distributed.print.business.entity.ObeCourseOutline;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.teachcloud.common.bean.dto.DataPermissionRule;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 课程大纲表 Mapper 接口
 * </p>
 *
 * @author CaoZixuan
 * @since 2024-06-05
 */
public interface ObeCourseOutlineMapper extends BaseMapper<ObeCourseOutline> {

    IPage<ObeCourseOutlineResult> findObeCourseOutlinePage(@Param("iPage") Page<ObeCourseOutlineResult> iPage,
            @Param("professionalId") Long professionalId, @Param("cultureProgramId") Long cultureProgramId, @Param("courseId") Long courseId,
            @Param("courseOutlineName") String courseOutlineName, @Param("dpr") DataPermissionRule dpr);

}
